/*  Maverick Model 3D
 * 
 *  Copyright (c) 2004-2007 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 *
 *  See the COPYING file for full license text.
 */


#ifndef __NEWANIM_H
#define __NEWANIM_H

#include "newanim.base.h"

#include "mm3dport.h"

#include <QtWidgets/QDialog>
#include <QtCore/QString>

class NewAnim : public QDialog, public Ui::NewAnimBase
{
    Q_OBJECT

   public:
      NewAnim( QWidget * parent );
      virtual ~NewAnim();

      void    editMode();
      QString getAnimName();
      void    setAnimName( const QString &name );
      bool    isSkeletal();
      void    setSkeletal( bool o );
      unsigned getAnimFrameCount();
      void     setAnimFrameCount( unsigned value );
      double  getAnimFPS();
      void    setAnimFPS( double fps );
      bool    getAnimLooping();
      void    setAnimLooping( bool loop );

   public slots:
      void nameChangedEvent();
};

#endif // __NEWANIM_H

